# Deterministic Graph Generators

```@index
Order = [:type, :function]
Pages = [ "generators/staticgraphs.jl",
           "generators/smallgraphs.jl",
           "generators/euclideangraphs.jl"
        ]
```

## Static Graphs
*Erdos.jl* implements a collection of classic graph generators:

```@autodocs
Modules = [Erdos]
Pages   = [ "generators/staticgraphs.jl"]
Private = false
```

## Small Graphs
Other classical graphs can be generated by the following function:

```@autodocs
Modules = [Erdos]
Pages   = [ "generators/smallgraphs.jl"]
Private = false
```

## Euclidean Graphs
Generation of random and static graphs embedded in Euclidean space.

```@autodocs
Modules = [Erdos]
Pages   = [ "generators/euclideangraphs.jl"]
Private = false
```
